<?php

namespace AppBundle\Repository;

/**
 * AcAnneeRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class UserRepository extends \Doctrine\ORM\EntityRepository {

    public function GetNotExistAccountEtudiant() {


//        $query = $this->getEntityManager()
//                ->createQueryBuilder(
//                'SELECT u  FROM AppBundle:TEtudiant u'
//        );
//        try {
//            return $query->getResult();
//        } catch (\Doctrine\ORM\NoResultException $e) {
//            return null;
//        }


        $subqueryBuilder = $this->createQueryBuilder('p1');

        $subquery = $subqueryBuilder->select('p1.id')
                ->from('MatchBundle:Matches', 'm'); //innerjoin avec la 2eme BDD
        $subquery->andWhere($subquery->expr()->eq('m.properties', 'p1')); //1ere condition de linkage
        $subquery->andWhere($subquery->expr()->isNotNull('m.properties')); //2eme condition
        $subquery->andWhere('m.customer = :customer'); //ma subquery possède un paramètre supplémentaire
        //main query
        $builder = $this->createQueryBuilder('p');

        $query = $builder->select('p');

        $query->andWhere($query->expr()->notIn('p.id', $subquery->getDQL()))
                ->setParameter('customer', $customer);
    }

}
